import { ShapePoolItem } from '../../../configs/shapes';
declare const _default: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    select: (payload: ShapePoolItem) => any;
}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{
    onSelect?: ((payload: ShapePoolItem) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, HTMLDivElement>;
export default _default;
